---
--- Generated manually.
--- Created by liaogaocan.
--- DateTime: 2020-6-28 15:17:30
---

local LBaseCameraController = ImportScript("ugc_common/script/core/camera/camera_controller_base.lua").LBaseCameraController;

local LCameraController = LCameraController or class("LCameraController", LBaseCameraController);

function LCameraController:ctor()
    --
end

function LCameraController:dtor()
    --
end

---@param x number
---@param y number
---@param z number
---@return boolean
function LCameraController:SetPosition(x, y, z)
    return false;
end

---@return boolean
---@return x number
---@return y number
---@return z number
function LCameraController:GetPosition()
    return false;
end

---@param x number
---@param y number
---@param z number
---@return boolean
function LCameraController:SetUpDir(x, y, z)
    return false;
end

---@return boolean
---@return x number
---@return y number
---@return z number
function LCameraController:GetUpDir()
    return false;
end

---@param x number
---@param y number
---@param z number
---@return boolean
function LCameraController:SetLookDir(x, y, z)
    return false;
end

---@return boolean
---@return x number
---@return y number
---@return z number
function LCameraController:GetLookDir()
    return KLGameWorld.GetCameraLookAt(0, 0, 0);
end

---@param angle number
---@return boolean
function LCameraController:SetFovAngleY(angle)
    return KLGameWorld.SetCameraFovAngleY(angle, true);
end

---@param ratio number
---@return boolean
function LCameraController:SetAspectRatio(ratio)
    return KLGameWorld.SetCameraAspectRatio(ratio, true);
end

---@param near number
---@return boolean
function LCameraController:SetNearPlane(near)
    return KLGameWorld.SetCameraNearPlane(near, true);
end

---@param far number
---@return boolean
function LCameraController:SetFarPlane(far)
    return KLGameWorld.SetCameraFarPlane(far, true);
end

---@return boolean
---@return fovy number
---@return aspect number
---@return near number
---@return far number
function LCameraController:GetCameraPerspective()
    return false;
end

_G.g_CameraController = LCameraController:new();
